## r-cran-jsonlite 0.9.19

=== DESCRIPTION ===
Package: jsonlite
Version: 0.9.19
Title: A Robust, High Performance JSON Parser and Generator for R
License: MIT + file LICENSE
NeedsCompilation: yes
Depends: methods
Author: Jeroen Ooms, Duncan Temple Lang, Lloyd Hilaiel
URL: http://arxiv.org/abs/1403.2805,
        https://www.opencpu.org/posts/jsonlite-a-smarter-json-encoder
BugReports: http://github.com/jeroenooms/jsonlite/issues
Maintainer: Jeroen Ooms <jeroen.ooms@stat.ucla.edu>
VignetteBuilder: knitr, R.rsp
Description: A fast JSON parser and generator optimized for statistical data
    and the web. Started out as a fork of 'RJSONIO', but has been completely
    rewritten in recent versions. The package offers flexible, robust, high
    performance tools for working with JSON in R and is particularly powerful
    for building pipelines and interacting with a web API. The implementation is
    based on the mapping described in the vignette (Ooms, 2014). In addition to
    converting JSON data from/to R objects, 'jsonlite' contains functions to
    stream, validate, and prettify JSON data. The unit tests included with the
    package verify that all edge cases are encoded and decoded consistently for
    use with dynamic data in systems and applications.
Suggests: curl (>= 0.5), plyr, testthat, knitr, rmarkdown, R.rsp
Packaged: 2015-11-27 20:06:25 UTC; jeroen
Repository: CRAN
Date/Publication: 2015-11-28 09:38:27

## r-cran-jsonlite 0.9.17

=== debian/changelog ===
r-cran-jsonlite (0.9.17-1) unstable; urgency=low

  * UNRELEASED
  * Initial release. (Closes: #FIXME)

 -- Joost van Baal-Ilić <joostvb+shiny@uvt.nl>  Tue, 10 Nov 2015 09:51:23 +0100

=== debian/control ===
Source: r-cran-jsonlite
Section: gnu-r
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Joost van Baal-Ilić <joostvb+shiny@uvt.nl>
Build-Depends: debhelper (>= 9), r-base-dev, cdbs, dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.6
Homepage: https://cran.r-project.org/web/packages/jsonlite/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/r-cran-jsonlite.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/r-cran-jsonlite.git

Package: r-cran-jsonlite
Architecture: any
Depends: ${shlibs:Depends}, ${R:Depends}
Description: Robust, High Performance JSON Parser and Generator for R
 The GNU R package jsonlite is a fast JSON parser and generator optimized
 for statistical data and the web. Started out as a fork of 'RJSONIO', but
 has been completely rewritten in recent versions. The package offers
 flexible, robust, high performance tools for working with JSON in R and is
 particularly powerful for building pipelines and interacting with a web
 API. The implementation is based on the mapping described in the vignette
 (Ooms, 2014). In addition to converting JSON data from/to R objects,
 'jsonlite' contains functions to stream, validate, and prettify JSON data.
 The unit tests included with the package verify that all edge cases are
 encoded and decoded consistently for use with dynamic data in systems and
 applications.

=== debian/watch ===
version=3
opts="uversionmangle=s/-/\./" \
	    http://cran.r-project.org/src/contrib/jsonlite_([-\d\.]*)\.tar.gz

## r-cran-jsonlite 0.9.19

=== debian/changelog ===
r-cran-jsonlite (0.9.19-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 28 Nov 2015 03:59:16 -0500

=== debian/control ===
Source: r-cran-jsonlite
Section: gnu-r
Priority: optional
Maintainer: Chris Lawrence <lawrencc@debian.org>
Build-Depends: debhelper (>= 9), r-base-dev, cdbs
Standards-Version: 3.9.6
Homepage: https://cran.r-project.org/web/packages/jsonlite/index.html

Package: r-cran-jsonlite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}
Description: Robust, High Performance JSON Parser and Generator for R
 A fast JSON parser and generator optimized for statistical data and
 the web. Started out as a fork of 'RJSONIO', but has been completely
 rewritten in recent versions. The package offers flexible, robust,
 high performance tools for working with JSON in R and is particularly
 powerful for building pipelines and interacting with a web API. The
 implementation is based on the mapping described in the vignette
 (Ooms, 2014). In addition to converting JSON data from/to R objects,
 'jsonlite' contains functions to stream, validate, and prettify JSON
 data. The unit tests included with the package verify that all edge
 cases are encoded and decoded consistently for use with dynamic data
 in systems and applications.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-jsonlite package

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

PKG_CFLAGS=$(CFLAGS)
PKG_CXXFLAGS=$(CXXFLAGS)
PKG_CPPFLAGS=$(CPPFLAGS)
PKG_FFLAGS=$(FFLAGS)

export PKG_CFLAGS PKG_CXXFLAGS PKG_CPPFLAGS PKG_FFLAGS

makeFlags="LDFLAGS=$(LDFLAGS)"

include /usr/share/R/debian/r-cran.mk

## Remove extra license file
common-install-arch::
	rm -vf debian/r-cran-jsonlite/usr/lib/R/site-library/jsonlite/LICENSE

=== debian/watch ===
version=2
http://cran.r-project.org/src/contrib/jsonlite_(.*)\.tar\.(gz|bz2|xz)

## r-cran-jsonlite 1.0

=== debian/changelog ===
r-cran-jsonlite (1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 16 Aug 2016 20:55:13 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
 Build-Depends: debhelper (>= 9), r-base-dev, cdbs
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://cran.r-project.org/web/packages/jsonlite/index.html
 
 Package: r-cran-jsonlite

## r-cran-jsonlite 1.2

=== debian/changelog ===
r-cran-jsonlite (1.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 05 Jan 2017 17:47:10 +0100

r-cran-jsonlite (1.1-2) unstable; urgency=medium

  * Fix watch file
  * debhelper 10

 -- Andreas Tille <tille@debian.org>  Wed, 30 Nov 2016 22:08:10 +0100

r-cran-jsonlite (1.1-1) unstable; urgency=medium

  * Team upload.
  * Import packaging into Debian Science git and maintain in Debian Science
    team
  * New upstream version
  * Convert to dh-r
  * Canonical homepage for CRAN
  * d/watch: version=4
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Wed, 16 Nov 2016 10:13:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,23 @@
 Source: r-cran-jsonlite
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Chris Lawrence <lawrencc@debian.org>
 Section: gnu-r
 Priority: optional
-Maintainer: Chris Lawrence <lawrencc@debian.org>
-Build-Depends: debhelper (>= 9), r-base-dev, cdbs
+Build-Depends: debhelper (>= 10),
+               r-base-dev,
+               dh-r
 Standards-Version: 3.9.8
-Homepage: https://cran.r-project.org/web/packages/jsonlite/index.html
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-jsonlite.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-jsonlite.git
+Homepage: https://cran.r-project.org/package=jsonlite
 
 Package: r-cran-jsonlite
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${R:Depends}
+Recommends: ${R:Recommends}
+Suggests: ${R:Suggests}
 Description: Robust, High Performance JSON Parser and Generator for R
  A fast JSON parser and generator optimized for statistical data and
  the web. Started out as a fork of 'RJSONIO', but has been completely
@@ -21,5 +30,3 @@
  data. The unit tests included with the package verify that all edge
  cases are encoded and decoded consistently for use with dynamic data
  in systems and applications.
-
-

=== debian/watch ===
version=4
http://cran.r-project.org/src/contrib/jsonlite_([-\d\.]*)\.tar\.gz

## r-cran-jsonlite 1.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Package: jsonlite
-Version: 0.9.19
+Version: 1.5
 Title: A Robust, High Performance JSON Parser and Generator for R
 License: MIT + file LICENSE
 NeedsCompilation: yes
 Depends: methods
 Author: Jeroen Ooms, Duncan Temple Lang, Lloyd Hilaiel
-URL: http://arxiv.org/abs/1403.2805,
+URL: https://arxiv.org/abs/1403.2805,
         https://www.opencpu.org/posts/jsonlite-a-smarter-json-encoder
-BugReports: http://github.com/jeroenooms/jsonlite/issues
-Maintainer: Jeroen Ooms <jeroen.ooms@stat.ucla.edu>
+BugReports: http://github.com/jeroen/jsonlite/issues
+Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 VignetteBuilder: knitr, R.rsp
 Description: A fast JSON parser and generator optimized for statistical data
     and the web. Started out as a fork of 'RJSONIO', but has been completely
@@ -20,7 +20,8 @@
     stream, validate, and prettify JSON data. The unit tests included with the
     package verify that all edge cases are encoded and decoded consistently for
     use with dynamic data in systems and applications.
-Suggests: curl (>= 0.5), plyr, testthat, knitr, rmarkdown, R.rsp
-Packaged: 2015-11-27 20:06:25 UTC; jeroen
+Suggests: httr, curl, plyr, testthat, knitr, rmarkdown, R.rsp, sp
+RoxygenNote: 6.0.1.9000
+Packaged: 2017-05-31 14:03:43 UTC; jeroen
 Repository: CRAN
-Date/Publication: 2015-11-28 09:38:27
+Date/Publication: 2017-06-01 12:03:37 UTC

=== debian/changelog ===
r-cran-jsonlite (1.5-2) unstable; urgency=medium

  * Team upload.
  * Fix autopkgtest:
    - add r-cran-sp as test dependency
    - fix package name in d/tests/run-unit-test
  * d/copyright: use Expat as short license name instead of MIT.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 11 Nov 2017 17:33:07 +0100

r-cran-jsonlite (1.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Secure URI in watch file
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Mon, 23 Oct 2017 20:38:07 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 10),
                r-base-dev,
                dh-r
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-jsonlite.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-jsonlite.git
 Homepage: https://cran.r-project.org/package=jsonlite

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-sp
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/jsonlite_([-\d\.]*)\.tar\.gz

## r-cran-jsonlite 1.6+dfsg

=== debian/changelog ===
r-cran-jsonlite (1.6+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.2.1
  * Remove trailing whitespace in debian/copyright
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Mon, 10 Dec 2018 11:21:47 +0100

r-cran-jsonlite (1.5-3) unstable; urgency=medium

  * Team upload.
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Thu, 21 Jun 2018 07:32:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: r-cran-jsonlite
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Chris Lawrence <lawrencc@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
-               r-base-dev,
-               dh-r
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-jsonlite.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-jsonlite.git
+Build-Depends: debhelper (>= 11~),
+               dh-r,
+               r-base-dev
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-jsonlite
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-jsonlite.git
 Homepage: https://cran.r-project.org/package=jsonlite
 
 Package: r-cran-jsonlite
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         ${R:Depends}
+Depends: ${R:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: Robust, High Performance JSON Parser and Generator for R

## r-cran-jsonlite 1.6.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,12 +1,16 @@
 Package: jsonlite
-Version: 1.5
+Version: 1.6.1
 Title: A Robust, High Performance JSON Parser and Generator for R
 License: MIT + file LICENSE
 NeedsCompilation: yes
 Depends: methods
-Author: Jeroen Ooms, Duncan Temple Lang, Lloyd Hilaiel
-URL: https://arxiv.org/abs/1403.2805,
-        https://www.opencpu.org/posts/jsonlite-a-smarter-json-encoder
+Authors@R: c(
+    person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
+      comment = c(ORCID = "0000-0002-4035-0289")),
+    person("Duncan", "Temple Lang", role = "ctb"),
+    person("Lloyd", "Hilaiel", role = "cph", comment="author of bundled libyajl"))
+URL: https://arxiv.org/abs/1403.2805 (paper)
+        https://jeroen.cran.dev/jsonlite (docs)
 BugReports: http://github.com/jeroen/jsonlite/issues
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 VignetteBuilder: knitr, R.rsp
@@ -21,7 +25,10 @@
     package verify that all edge cases are encoded and decoded consistently for
     use with dynamic data in systems and applications.
 Suggests: httr, curl, plyr, testthat, knitr, rmarkdown, R.rsp, sp
-RoxygenNote: 6.0.1.9000
-Packaged: 2017-05-31 14:03:43 UTC; jeroen
+RoxygenNote: 7.0.2
+Packaged: 2020-01-31 10:35:04 UTC; jeroen
+Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
+  Duncan Temple Lang [ctb],
+  Lloyd Hilaiel [cph] (author of bundled libyajl)
 Repository: CRAN
-Date/Publication: 2017-06-01 12:03:37 UTC
+Date/Publication: 2020-02-02 11:40:02 UTC

=== debian/changelog ===
r-cran-jsonlite (1.6.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.5.0
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g

 -- Dylan Aïssi <daissi@debian.org>  Mon, 10 Feb 2020 06:44:24 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Uploaders: Chris Lawrence <lawrencc@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-jsonlite
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-jsonlite.git
 Homepage: https://cran.r-project.org/package=jsonlite

## r-cran-jsonlite 1.7.0+dfsg

=== debian/changelog ===
r-cran-jsonlite (1.7.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 01 Jul 2020 08:38:51 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,16 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Chris Lawrence <lawrencc@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-jsonlite
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-jsonlite.git
 Homepage: https://cran.r-project.org/package=jsonlite
+Rules-Requires-Root: no
 
 Package: r-cran-jsonlite
 Architecture: any

## r-cran-jsonlite 1.7.2+dfsg

=== DESCRIPTION ===
Package: jsonlite
Version: 1.7.2
Title: A Simple and Robust JSON Parser and Generator for R
License: MIT + file LICENSE
Depends: methods
Authors@R: c(
    person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
      comment = c(ORCID = "0000-0002-4035-0289")),
    person("Duncan", "Temple Lang", role = "ctb"),
    person("Lloyd", "Hilaiel", role = "cph", comment="author of bundled libyajl"))
URL: https://arxiv.org/abs/1403.2805 (paper)
BugReports: https://github.com/jeroen/jsonlite/issues
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
VignetteBuilder: knitr, R.rsp
Description: A reasonably fast JSON parser and generator, optimized for statistical 
    data and the web. Offers simple, flexible tools for working with JSON in R, and
    is particularly powerful for building pipelines and interacting with a web API. 
    The implementation is based on the mapping described in the vignette (Ooms, 2014).
    In addition to converting JSON data from/to R objects, 'jsonlite' contains 
    functions to stream, validate, and prettify JSON data. The unit tests included 
    with the package verify that all edge cases are encoded and decoded consistently 
    for use with dynamic data in systems and applications.
Suggests: httr, curl, plyr, testthat, knitr, rmarkdown, R.rsp, sf
RoxygenNote: 7.1.1
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2020-12-09 13:54:18 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
  Duncan Temple Lang [ctb],
  Lloyd Hilaiel [cph] (author of bundled libyajl)
Repository: CRAN
Date/Publication: 2020-12-09 17:40:03 UTC

=== debian/changelog ===
r-cran-jsonlite (1.7.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 10 Dec 2020 19:49:16 +0530

r-cran-jsonlite (1.7.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 21 Sep 2020 11:00:51 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-jsonlite
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-jsonlite.git
 Homepage: https://cran.r-project.org/package=jsonlite

## r-cran-jsonlite 1.7.3+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: jsonlite
-Version: 1.7.2
+Version: 1.7.3
 Title: A Simple and Robust JSON Parser and Generator for R
 License: MIT + file LICENSE
 Depends: methods
@@ -20,13 +20,13 @@
     functions to stream, validate, and prettify JSON data. The unit tests included 
     with the package verify that all edge cases are encoded and decoded consistently 
     for use with dynamic data in systems and applications.
-Suggests: httr, curl, plyr, testthat, knitr, rmarkdown, R.rsp, sf
+Suggests: httr, curl, vctrs, testthat, knitr, rmarkdown, R.rsp, sf
 RoxygenNote: 7.1.1
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2020-12-09 13:54:18 UTC; jeroen
+Packaged: 2022-01-16 11:35:42 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
   Duncan Temple Lang [ctb],
   Lloyd Hilaiel [cph] (author of bundled libyajl)
 Repository: CRAN
-Date/Publication: 2020-12-09 17:40:03 UTC
+Date/Publication: 2022-01-17 08:42:42 UTC

=== debian/changelog ===
r-cran-jsonlite (1.7.3+dfsg-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.7.3+dfsg
  * Bump Standards-Version to 4.6.0 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 23 Jan 2022 12:38:09 +0530

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-jsonlite
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-jsonlite.git
 Homepage: https://cran.r-project.org/package=jsonlite

## r-cran-jsonlite 1.8.0+dfsg

=== debian/changelog ===
r-cran-jsonlite (1.8.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 09 Mar 2022 21:13:36 +0100

## r-cran-jsonlite 1.8.4+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: jsonlite
-Version: 1.7.3
+Version: 1.8.4
 Title: A Simple and Robust JSON Parser and Generator for R
 License: MIT + file LICENSE
 Depends: methods
@@ -20,13 +20,13 @@
     functions to stream, validate, and prettify JSON data. The unit tests included 
     with the package verify that all edge cases are encoded and decoded consistently 
     for use with dynamic data in systems and applications.
-Suggests: httr, curl, vctrs, testthat, knitr, rmarkdown, R.rsp, sf
-RoxygenNote: 7.1.1
+Suggests: httr, vctrs, testthat, knitr, rmarkdown, R.rsp, sf
+RoxygenNote: 7.2.1
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2022-01-16 11:35:42 UTC; jeroen
+Packaged: 2022-12-05 23:21:23 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
   Duncan Temple Lang [ctb],
   Lloyd Hilaiel [cph] (author of bundled libyajl)
 Repository: CRAN
-Date/Publication: 2022-01-17 08:42:42 UTC
+Date/Publication: 2022-12-06 08:10:02 UTC

=== debian/changelog ===
r-cran-jsonlite (1.8.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 09 Dec 2022 11:32:41 +0100

r-cran-jsonlite (1.8.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 25 Oct 2022 09:51:35 +0200

r-cran-jsonlite (1.8.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Disable reprotest
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 08 Oct 2022 09:28:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-jsonlite
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Chris Lawrence <lawrencc@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-jsonlite
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-jsonlite.git
+Homepage: https://cran.r-project.org/package=jsonlite
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-jsonlite
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-jsonlite.git
-Homepage: https://cran.r-project.org/package=jsonlite
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-jsonlite
 Architecture: any

## r-cran-jsonlite 1.8.5+dfsg

=== debian/changelog ===
r-cran-jsonlite (1.8.5+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 23 Jun 2023 11:41:16 +0200

## r-cran-jsonlite 1.8.8%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-jsonlite
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-jsonlite.git
 Homepage: https://cran.r-project.org/package=jsonlite
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-jsonlite 1.8.8+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: jsonlite
-Version: 1.8.4
+Version: 1.8.8
 Title: A Simple and Robust JSON Parser and Generator for R
 License: MIT + file LICENSE
 Depends: methods
@@ -8,7 +8,8 @@
       comment = c(ORCID = "0000-0002-4035-0289")),
     person("Duncan", "Temple Lang", role = "ctb"),
     person("Lloyd", "Hilaiel", role = "cph", comment="author of bundled libyajl"))
-URL: https://arxiv.org/abs/1403.2805 (paper)
+URL: https://jeroen.r-universe.dev/jsonlite
+        https://arxiv.org/abs/1403.2805
 BugReports: https://github.com/jeroen/jsonlite/issues
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 VignetteBuilder: knitr, R.rsp
@@ -21,12 +22,12 @@
     with the package verify that all edge cases are encoded and decoded consistently 
     for use with dynamic data in systems and applications.
 Suggests: httr, vctrs, testthat, knitr, rmarkdown, R.rsp, sf
-RoxygenNote: 7.2.1
+RoxygenNote: 7.2.3
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2022-12-05 23:21:23 UTC; jeroen
+Packaged: 2023-12-04 12:57:12 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
   Duncan Temple Lang [ctb],
   Lloyd Hilaiel [cph] (author of bundled libyajl)
 Repository: CRAN
-Date/Publication: 2022-12-06 08:10:02 UTC
+Date/Publication: 2023-12-04 15:20:02 UTC

=== debian/changelog ===
r-cran-jsonlite (1.8.8+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version which fixes embedded yajl of vulnerability to
    CVE-2017-16516 and CVE-2022-24795 
    Closes: #1040161
  * Fix clean target
    Closes: #1048689

 -- Andreas Tille <tille@debian.org>  Tue, 05 Dec 2023 14:08:52 +0100

r-cran-jsonlite (1.8.7+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 25 Aug 2023 13:15:14 +0200

## r-cran-jsonlite 1.8.9+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Package: jsonlite
-Version: 1.8.8
+Version: 1.8.9
 Title: A Simple and Robust JSON Parser and Generator for R
 License: MIT + file LICENSE
 Depends: methods
 Authors@R: c(
-    person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
+    person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroenooms@gmail.com",
       comment = c(ORCID = "0000-0002-4035-0289")),
     person("Duncan", "Temple Lang", role = "ctb"),
     person("Lloyd", "Hilaiel", role = "cph", comment="author of bundled libyajl"))
 URL: https://jeroen.r-universe.dev/jsonlite
         https://arxiv.org/abs/1403.2805
 BugReports: https://github.com/jeroen/jsonlite/issues
-Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
+Maintainer: Jeroen Ooms <jeroenooms@gmail.com>
 VignetteBuilder: knitr, R.rsp
 Description: A reasonably fast JSON parser and generator, optimized for statistical 
     data and the web. Offers simple, flexible tools for working with JSON in R, and
@@ -25,9 +25,9 @@
 RoxygenNote: 7.2.3
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2023-12-04 12:57:12 UTC; jeroen
+Packaged: 2024-09-19 15:41:06 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
   Duncan Temple Lang [ctb],
   Lloyd Hilaiel [cph] (author of bundled libyajl)
 Repository: CRAN
-Date/Publication: 2023-12-04 15:20:02 UTC
+Date/Publication: 2024-09-20 08:40:14 UTC

=== debian/changelog ===
r-cran-jsonlite (1.8.9+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 02 Oct 2024 15:12:11 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-jsonlite
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-jsonlite.git
 Homepage: https://cran.r-project.org/package=jsonlite
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-jsonlite 1.9.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: jsonlite
-Version: 1.8.9
+Version: 1.9.1
 Title: A Simple and Robust JSON Parser and Generator for R
 License: MIT + file LICENSE
 Depends: methods
@@ -25,9 +25,9 @@
 RoxygenNote: 7.2.3
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2024-09-19 15:41:06 UTC; jeroen
+Packaged: 2025-03-03 14:17:56 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
   Duncan Temple Lang [ctb],
   Lloyd Hilaiel [cph] (author of bundled libyajl)
 Repository: CRAN
-Date/Publication: 2024-09-20 08:40:14 UTC
+Date/Publication: 2025-03-03 22:10:02 UTC

=== debian/changelog ===
r-cran-jsonlite (1.9.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 07 Mar 2025 10:49:30 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-jsonlite
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-jsonlite.git
 Homepage: https://cran.r-project.org/package=jsonlite
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_clean:
	find src -name "*.o" -delete
	find src -name "*.a" -delete
	dh_clean

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-httr,
        r-cran-vctrs,
        r-cran-testthat,
        r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-r.rsp,
        r-cran-sf
Restrictions: allow-stderr

## r-cran-jsonlite 2.0.0+dfsg

=== debian/changelog ===
r-cran-jsonlite (2.0.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 26 Dec 2025 13:03:18 +0900

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: r-cran-jsonlite
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Chris Lawrence <lawrencc@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-jsonlite
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-jsonlite.git
 Homepage: https://cran.r-project.org/package=jsonlite
-Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-jsonlite
 Architecture: any
